% script file integraleq.m
% integral equation in 1D
%%%%%%%%%%%%%%%%%%%%%%%%%%%

clc; clear all; close all;

n = 21; % number of grid points

x = linspace(0,1,n)';
h = x(2)-x(1);

f = x.^2; % some rhs
f = sin(x).^x.^x;

% construc the matrix A
% at first, generate the grid points for the kernel
y = x;
[X,Y] = ndgrid(x,y);

A = h*kernel1D(X,Y) + eye(n,n);
b = f; % the rhs

y = A\b;

plot(x,y,'b*-',x,f,'r');
